Loading...
Searching...
No Matches
Opm::BlackoilWellModelWBP< Scalar, IndexTraits > Class Template Reference

Class for handling the blackoil well model. More...

`#include <BlackoilWellModelWBP.hpp>`

## Public Member Functions

| BlackoilWellModelWBP (BlackoilWellModelGeneric< Scalar, IndexTraits > &well_model)
void | initializeSources (typename ParallelWBPCalculation< Scalar >::GlobalToLocal index, typename ParallelWBPCalculation< Scalar >::Evaluator eval)
void | registerOpenWellsForWBPCalculation ()
ParallelWBPCalculation< Scalar >::EvaluatorFactory | makeWellSourceEvaluatorFactory (const std::vector< Well >::size_type wellIdx) const
void | initializeWBPCalculationService ()
data::WellBlockAveragePressures | computeWellBlockAveragePressures (const Scalar gravity) const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::BlackoilWellModelWBP< Scalar, IndexTraits >

Class for handling the blackoil well model.

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelWBP.hpp
- opm/simulators/wells/BlackoilWellModelWBP.cpp